{% extends 'base_fullwidth_leaflet.html' %}
{% load i18n leaflet_tags %}
{% leaflet_js %}
{% leaflet_css %}
{% block title %}Carte des localités{% endblock %}
{% block content %}
<style>
  .legend {
    padding: 6px 8px;
    font: 14px "LatoRegular", "Helvetica Neue", Helvetica, Arial, sans-serif;
    background: white;
    background: rgba(255, 255, 255, 0.8);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    line-height: 24px;
    color: #555;
  }

  .legend span {
    position: relative;
    bottom: 3px;
  }

  #mapContainer {
    width: 100%;
    height: calc(100vh - 200px);
  }

</style>
<h1>
  <div class="btn btn-group pull-right">
    <a href="{% url 'sights:metaplace_create' %}" class="btn btn-success"><i
        class="fa fa-fw fa-map-marker-alt"></i><strong>
        {% trans 'Créer un métasite' %}</strong></a>
    <a href="{% url 'sights:place_create' %}" class="btn btn-success"><i class="fa fa-fw fa-map-marker-alt"></i><strong>
        {% trans 'Créer une localité' %}</strong></a>
  </div>
  <i class="fa fa-fw fa-map">

  </i> Carte des localités
</h1>
<p>Le groupement des localités est aléatoire, afin d'améliorer la vitesse d'affichage seulement.</p>
<div id="PlaceMap">
  <place-map></place-map>
</div>
<script>
  $(document).ready(() => {
    const vm = new Vue(PlaceMap());
  })

</script>
{% comment %} {% leaflet_map "main" %} {% endcomment %}

{% endblock %}
